<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Yajra\Datatables\Datatables;
use App\Race;

class RaceController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        return view('race.index');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('race.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $pilot = new Race();
        $pilot->name = $request->name;
        $pilot->start_date = $request->start_date;
        $pilot->duration = $request->duration;
        $pilot->autonomie_kart_sec = $request->autonomie_kart_sec;
        $pilot->autonomie_kart_humide = $request->autonomie_kart_humide;
        $pilot->relay_default_duration = $request->relay_default_duration;
        $pilot->stand_duration = $request->stand_duration;
        $pilot->comment = $request->comment;
        $pilot->save();
        return redirect('/race');
    }

    /**
     * Display the specified resource.
     *
     * @param  int $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        var_dump('show');
        var_dump(Race::query()->where('id', $id));

    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request $request
     * @param  int $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }


    /**
     * Process datatables ajax request.
     *
     * @return \Illuminate\Http\JsonResponse
     */
    public function getRaceParams(Request $request)
    {
        $id = $request->input('id');

        return Datatables::of(
            Race::query()->where('id', $id)
        )->make();

    }


    /**
     * Process datatables ajax request.
     *
     * @return \Illuminate\Http\JsonResponse
     */
    public function getraces()
    {
        return Datatables::of(Race::query())->make();
    }


    /**
     * Process datatables ajax request.
     *
     * @return \Illuminate\Http\JsonResponse
     */
    public function getsmallraces(Request $request)
    {
        return Datatables::of(
            Race::query()
                ->select('id', 'name')
        )->make();

    }


}
