@extends('layouts.loggedform')
@section('card')
    @component('components.card')
        @slot('title')
            @lang('Paramétrer la course')
        @endslot
        <form method="POST" action="{{ route('race.store') }}">
            {{ csrf_field() }}
            @include('partials.form-group', [
                'title' => __('Nom'),
                'type' => 'text',
                'name' => 'name',
                'required' => true,
                ])
            <div class="row">
                <div class="col-md-6">

                    <div class="form-group">
                        <label for="start_date">Date de début</label>
                        <div class="input-group date" id="datetimepicker2" data-target-input="nearest">
                            <input type="text" class="form-control datetimepicker-input" name="start_date"
                                   required="true"
                                   data-target="#datetimepicker2" data-toggle="datetimepicker"/>
                            <div class="input-group-append" data-target="#datetimepicker2" data-toggle="datetimepicker">
                                <div class="input-group-text"><i class="fa fa-calendar"></i></div>
                            </div>
                        </div>
                    </div>

                    @include('partials.form-group', [
                        'title' => __('Autonomie du karting (Sec)'),
                        'type' => 'integer',
                        'name' => 'autonomie_kart_sec',
                        'required' => true,
                        ])

                    @include('partials.form-group', [
                        'title' => __('Durée des relais par défaut (Minutes)'),
                        'type' => 'integer',
                        'name' => 'relay_default_duration',
                        'required' => true,
                        ])
                </div>
                <div class="col-md-6">
                    @include('partials.form-group', [
                    'title' => __('Durée'),
                    'type' => 'integer',
                    'name' => 'duration',
                    'required' => true,
                    ])

                    @include('partials.form-group', [
                        'title' => __('Autonomie du karting (Humide)'),
                        'type' => 'integer',
                        'name' => 'autonomie_kart_humide',
                        'required' => true,
                        ])

                    @include('partials.form-group', [
                        'title' => __('Duree dans les stands minimum (Minutes)'),
                        'type' => 'integer',
                        'name' => 'stand_duration',
                        'required' => true,
                        ])
                </div>
            </div>
            <div class="form-group">
                <label for="comment">Commentaire</label><br />
                <textarea class="textarea-form" name="comment" rows="5" cols="50">
                </textarea>
            </div>

            @component('components.button')
                @lang('Envoyer')
            @endcomponent
        </form>
        <script>

            $(() => {
                $('#datetimepicker2').datetimepicker({
                    locale: 'fr',
                    format:'YYYY-MM-DD HH:mm:ss'
                });
            })
        </script>
    @endcomponent
@endsection
