<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('home');
});
Auth::routes();

Route::middleware('admin')->group(function () {
    Route::resource ('admin', 'AdminController', [
        'except' => 'show'
    ]);
});

Route::resource('kart', 'KartController');
Route::resource('pilot', 'PilotController');
Route::resource('race', 'RaceController');
Route::resource('relay', 'RelayController');

Route::get('/home', 'HomeController@index')->name('home');
Route::get('/race', 'RaceController@index')->name('race');

/*
Route::get('/pilote', 'PilotController@index')->name('pilote');
Route::get('/addpilot', 'PilotController@create')->name('addpilot');
*/

///Routes pour les pilotes
Route::delete('/deletepilote', 'PilotController@create')->name('deletepilote');
Route::post('/getpilotalldata', 'PilotController@getPilotAllData')->name('getpilotalldata');
Route::get('/getpilotalldata', 'PilotController@getPilotAllData')->name('getpilotalldata');
Route::post('/getpilotsBykart', 'PilotController@getPilotsByKart')->name('getpilotsBykart');
Route::get('/getpilotsBykart', 'PilotController@getPilotsByKart')->name('getpilotsBykart');

///Routes pour les kartings
Route::post('/getkartsalldata', 'KartController@getKartsAllData')->name('getkartsalldata');
Route::get('/getkartsalldata', 'KartController@getKartsAllData')->name('getkartsalldata');

///
/// getallrace
Route::post('/getsmallraces', 'RaceController@getsmallraces')->name('getsmallraces');
Route::get('/getsmallraces', 'RaceController@getsmallraces')->name('getsmallraces');
Route::post('/getRaceParams', 'RaceController@getRaceParams')->name('getRaceParams');
Route::get('/getRaceParams', 'RaceController@getRaceParams')->name('getRaceParams');


Route::post('/getraces', 'RaceController@getraces')->name('getraces');
Route::get('/getraces', 'RaceController@getraces')->name('getraces');
